Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::group_node::remove_children_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::group_node::remove_children_listener:

[legend]
List of all members.

## Detailed Description

removeChildren event listener.

For internal use only.

## Public Member Functions

| remove_children_listener (group_node &node)
| Construct.
virtual | ~remove_children_listener () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const mfnode &value, double timestamp) throw (std::bad_alloc)
| Process an event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::group_node::remove_children_listener::remove_children_listener | ( | group_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | group_node.

openvrml::vrml97_node::group_node::remove_children_listener::~remove_children_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::group_node::remove_children_listener::do_process_event | ( | const mfnode & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

| Process an event. Implements openvrml::field_value_listener< mfnode >.